body {
  background-color: #fff;
  color: #262626;
  line-height: 1.5;
  font-family: "Noto Sans JP", sans-serif;
  font-size: 16px;
  font-weight: normal;
}

.--hover {
  transition: color 0.2s;
}

.--hover:hover {
  color: #109ae4;
}

.js-fade-in {
  opacity: 0;
  transform: translateY(15px);
  transition: opacity 1s ease, transform 1s ease;
}

.js-fade-in.--active {
  opacity: 1;
  transform: translateY(0);
}

.Header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 9999;
  padding: 0 1.25rem;
  background-color: #fff;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.05);
}

.Header__wrap {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  max-width: 1080px;
  height: 90px;
  margin: 0 auto;
}

.Header__image {
  height: 50px;
}

.Header__container {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1.875rem;
}

.Header__link.--contact,
.Footer__link.--contact {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 40px;
  padding: 0 1.875rem;
  background: rgb(0, 180, 228);
  background: linear-gradient(45deg, rgba(0, 180, 228, 1) 0%, rgba(10, 129, 239, 1) 50%, rgba(7, 63, 216, 1) 100%);
  background-position: 1% 50%;
  background-size: 200% auto;
  border-radius: 5px;
  box-sizing: 0 0 10px rgba(0, 0, 0, 0.15);
  color: #fff;
  font-size: 0.875rem;
  font-weight: bold;
  letter-spacing: 1px;
  transition: 0.2s;
}

.Header__link.--contact:hover,
.Footer__link.--contact:hover {
  background-position: 99% 50%;
}

.Header__list {
  display: flex;
  flex-direction: row;
}

.Header__item {
  font-size: 0.75rem;
}

.Header__item:not(:first-of-type)::before {
  content: "/";
}

.Header__mobile {
  display: none;
}

.Header__button {
  position: relative;
  z-index: 999;
  width: 2.1875rem;
  height: 1.5rem;
  cursor: pointer;
}

.Header__button .--top,
.Header__button .--middle,
.Header__button .--bottom {
  position: absolute;
  height: 2px;
  width: 100%;
  background-color: #109ae4;
  transition: 0.3s all;
}

.Header__button .--top {
  top: 0;
  left: 0;
}

.Header__button.--active .--top {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
  background-color: #fff;
}

.Header__button .--middle {
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  opacity: 1;
}

.Header__button.--active .--middle {
  opacity: 0;
  transform: translate(100%, -50%);
}

.Header__button .--bottom {
  bottom: 0;
  left: 0;
}

.Header__button.--active .--bottom {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-45deg);
  background-color: #fff;
}

.Nav__list {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1.875rem;
}

.Main {
  margin-top: 90px;
}

.Main__container {
  margin: 0 auto;
  padding: 5.625rem 1rem;
  max-width: 1100px;
}

.Footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  padding: 6rem 1.25rem;
  background-color: #131e3e;
  color: #ccc;
}

.Footer__image {
  height: 100px;
  border-radius: 10px;
}

.Footer__container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 1.875rem;
}

.Footer__list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.875rem;
}

.Footer__inner.--copyright {
  font-size: 0.75rem;
}

/* breadcrumb */
.breadcrumb {
  padding: 0.8125rem 5% 0.9375rem;
  background-color: #eff7f9;
}

.breadcrumb ul {
  max-width: 1080px;
  margin: 0 auto;
}

.breadcrumb ul li {
  position: relative;
  display: inline-block;
  margin: 0 0 0 1.25rem;
  font-size: 0.875rem;
}

.breadcrumb ul li:first-of-type {
  margin: 0;
}

.breadcrumb ul li:not(:first-of-type)::before {
  content: "";
  position: absolute;
  top: 2px;
  left: -15px;
  bottom: 0;
  margin: auto;
  width: 5px;
  height: 5px;
  border-left: solid 1px #262626;
  border-bottom: solid 1px #262626;
  transform: rotate(-135deg);
}

.breadcrumb ul li:last-of-type {
  color: #109ae4;
}

.Menu {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgb(0, 180, 228);
  background: linear-gradient(
    45deg,
    rgba(0, 180, 228, 0.8) 0%,
    rgba(10, 129, 239, 0.8) 50%,
    rgba(7, 63, 216, 0.8) 100%
  );
  color: #fff;
  opacity: 0;
  transition: 0.3s all;
  z-index: 111;
  pointer-events: none;
}

.Menu.--active {
  opacity: 1;
  pointer-events: fill;
}

.Menu__inner.--top {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-direction: row;
  padding: 0.5rem 1.25rem;
  height: 90px;
  border-bottom: 1px solid #fff;
}

.Menu__inner.--bottom {
  position: absolute;
  bottom: 3rem;
  left: 0;
  right: 2rem;
}

.Menu__logo {
  display: inline-block;
  height: 50px;
  border-radius: 5px;
  overflow: hidden;
}

.Menu__image {
  height: 100%;
}

.Menu__list.--top {
  padding: 0 2rem;
}

.Menu__item.--bottom:not(:first-of-type)::before {
  content: "/";
  padding: 0 0.5rem;
}

.Menu__list.--bottom {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
}

.Menu__link.--top {
  display: block;
  padding: 1.5rem;
  border-bottom: 1px solid #fff;
  font-size: 1rem;
}

.Menu__link.--bottom {
  font-size: 1rem;
}

.Menu__copyright {
  margin-top: 1rem;
  text-align: center;
  font-size: 0.75rem;
}

@media (max-width: 1024px) {
  .Header {
    padding: 0 1.25rem;
    font-size: 0.8125rem;
  }

  .Header__link.--contact {
    font-size: 0.75rem;
  }

  .Header__list {
    gap: 0.25rem;
  }

  .Header__item {
    font-size: 0.625rem;
  }
  .Header__item:not(:first-of-type)::before {
    margin-right: 0.25rem;
  }

  .Main__container {
    padding: 5.625rem 2rem;
  }
}

@media (max-width: 768px) {
  .Header__container {
    display: none;
  }

  .Header__mobile {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    gap: 2rem;
  }

  .Main__container {
    padding: 3rem 2rem;
  }

  .Footer__container {
    flex-wrap: wrap;
  }
}

@media (max-width: 480px) {
  .Menu__copyright {
    font-size: 0.625rem;
  }

  .Footer {
    padding: 4rem 1.25rem;
  }

  .Footer__container {
    flex-direction: column;
    font-size: 0.8125rem;
  }

  .Footer__inner.--copyright {
    font-size: 0.625rem;
  }
}

@media (max-width: 375px) {
  .Header__mobile {
    gap: 1rem;
  }
}
